## org.eclipse.emf.cheatsheets.actions
Class OpenEMFModelWizardAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.cheatsheets.actions.AbstractOpenWizardAction
                      org.eclipse.emf.cheatsheets.actions.OpenEMFModelWizardAction

All Implemented Interfaces:
  IAction, ICheatSheetAction

Direct Known Subclasses:
  OpenEMFProjectWizardAction

    public class OpenEMFModelWizardAction

extends AbstractOpenWizardAction
implements ICheatSheetAction

Action that opens the new EMF model wizard.

Since:
  2.2.0

Field Summary
`protected java.lang.String` `descriptorID`
`protected IPath` `path`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`OpenEMFModelWizardAction()`

Method Summary
`protected EMFModelWizard` `createEMFModelWizard()` Create a new EMF model wizard
`protected INewWizard` `createWizard()` Create a new wizard
`void` `run(java.lang.String[] params, ICheatSheetManager manager)` Execute the action

Methods inherited from class org.eclipse.emf.cheatsheets.actions.AbstractOpenWizardAction
`run`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### path

    protected IPath path

### descriptorID

    protected java.lang.String descriptorID

Constructor Detail

### OpenEMFModelWizardAction

    public OpenEMFModelWizardAction()

Method Detail

### run

    public void run(java.lang.String[] params,
                    ICheatSheetManager manager)

  Execute the action

  Specified by:
    `run` in interface `ICheatSheetAction`
  Parameters:
    `params` - Array of parameters - index 0: path of the genmodel, index 1: model importer descriptor ID
    `manager` - Cheatsheet Manager

### createWizard

    protected final INewWizard createWizard()
                                     throws CoreException

  Create a new wizard

  Specified by:
    `createWizard` in class `AbstractOpenWizardAction`
  Throws:
    `CoreException`

### createEMFModelWizard

    protected EMFModelWizard createEMFModelWizard()

  Create a new EMF model wizard

  Returns:
    EMF model wizard

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.